Subject: Re: [X2Go-Dev] Bug#108: Bug#108: Missing fonts in X application

From: Mike Gabriel <[email-masked]>
Date: Mon, 27 Jan 2014 09:14:42 +0000

Hi Mike#2,

On  Mo 27 Jan 2014 03:16:41 CET, Michael DePaulo wrote:

> Hi Stephane, I'm the new Win32 package maintainer for X2Go Client.
>
> I see that you worked around this issue by copying over VcXsrv's  
> fonts folder:
> https://lists.berlios.de/pipermail/x2go-user/2013-January/001253.html
>
> I've experienced this bug too with ClearCase 8.0.0's "xclearcase" GUI.
> It is a very old UNIX/Linux GUI and it uses motif.
>
> My successful workaround was to both install a bunch of fonts packages
> server-side (including international fonts,) and to copy over the
> fonts directory.
>
> Still, I believe that we should take the same approach that NX did and
> provide a seperate setup.exe containing the extra fonts. Unless there
> are any objections, that will officially be on my to do list as the
> win32 package maintainer.
>
> Note that I do not want to include the fonts in the main X2Go Client
> setup.exe because:
> 1. They are 4,673 files, which would add a lot to the installation time
> 2. They are 32MB compressed with 7-zip, so they would add that much
> space or more. (X2goclient 4.0.1.3's setup .exe is only 23MB).
>
> For reference to others who need to copy fonts:
> - X2Go Client 4.0.0.3 uses VcXsrv 1.12.0.1
> - X2Go Client 4.0.1.2 and 4.0.1.3 use VcXsrv 1.14.2.1.
>
> -Mike#2

Wouldn't the best approach be a .git project on git.x2go.org that  
includes the fonts and two nsis scripts (one for PyHoca, one for X2Go  
Client)?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb